{
  jekyll, tailwindWithTypography
, stdenv
}:

stdenv.mkDerivation {
  pname = "moxxyv2-website";
  version = "0.1.0";
  src = ./../.;

  buildPhase = ''
    ${jekyll}/bin/jekyll build --future
    cp -r ./assets _site/assets
    ${tailwindWithTypography}/bin/tailwindcss --input ./input.css --output ./_site/assets/css/index.css
  '';

  installPhase = ''
    mkdir -p $out/var/www/
    mv _site/ $out/var/www/website
  '';
}
